Summary:        Module to annotate Python abstract syntax trees with source code positions
Name:           python-asttokens
Version:        2.1.0
Release:        3%{?dist}

License:        ASL 2.0
URL:            https://pypi.python.org/pypi/asttokens
Source0:        https://files.pythonhosted.org/packages/source/a/asttokens/asttokens-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python3dist(setuptools) python3dist(setuptools-scm)
BuildRequires:  python3dist(wheel) python3dist(toml)
BuildRequires:  python3dist(astroid) python3dist(six)
BuildRequires:  python3dist(pytest) python3-devel

%description
The asttokens module annotates Python abstract syntax trees
(ASTs) with the positions of tokens and text in the source
code that generated them.

It makes it possible for tools that work with logical AST nodes
to find the particular text that resulted in those nodes, for
example for automated refactoring or highlighting.

%package     -n python3-asttokens
Summary:        %{summary}
Requires:       %{py3_dist six}

%description -n python3-asttokens
The asttokens module annotates Python abstract syntax trees
(ASTs) with the positions of tokens and text in the source
code that generated them.

It makes it possible for tools that work with logical AST nodes
to find the particular text that resulted in those nodes, for
example for automated refactoring or highlighting.

%prep
%autosetup -n asttokens-%{version}

%build
%py3_build

%install
%py3_install

%check
TEST_ARGS=(
        --ignore=tests/test_astroid.py
)

pytest-3 tests/ -v "${TEST_ARGS[@]}"

%files -n python3-asttokens
%license LICENSE
%doc README.rst
%{python3_sitelib}/*

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.1.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.1.0-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Dec 6 2022 cunshunxia <cunshunxia@tencent.com> - 2.1.0-1
- initial build
